#ifndef __EXTB_IRSEND__H
#define __EXTB_IRSEND__H

class cLirc
{
  char* m_szDevice;
  int m_fd;
  static int m_nTimeout;
protected:  
  static void sigalrm(int sig);
public:
  cLirc();
  virtual ~cLirc();
  
  bool open(const char* szDevice);
  bool reopen(void) { return open(m_szDevice);}
  bool isopen() const { return -1 != m_fd; }
  void close(void);
  const char *read_string(void);
  int send_packet(const char *packet);
  void send(const char *cmd);
};


class cLircPtr
{
protected:
  cLirc* m_pLirc;
public:  
  cLircPtr(cLirc* pLirc)
  :m_pLirc(pLirc) { }
};
#endif
